> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Additional onboarding data

## Overview

Onboarding data is a set of required business information about the [entities](../../../entities/index) that want to send and accept [payments](../../index). This includes the [MCC](../../mcc), publicly available website, and terms of service agreement.

Providing the onboarding documents allows the entities to have a seamless [onboarding for accepting payments](../index) experience with reduced manual labor required.

## Provide the onboarding data \[#provide]

To specify the onboarding data for an entity, call [`PATCH /v1/entities/{entity_id}/onboarding_data`](/api/entity-onboarding-data/patch-entities-id-onboarding-data):

```sh
curl -X PATCH 'https://api.dev.monite.com/v1/entities/aea39...912/onboarding_data' \
     -H 'X-Monite-Version: 2024-05-25' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
     -H 'Content-Type: application/json' \
     -d '{
       "business_profile": {
         "mcc": "1731",
         "url": "https://mycompany.com"
       },
       "tos_acceptance": {
         "ip": "192.0.2.1",
         "date": "2023-03-21T12:35:57.372Z"
       },
       "ownership_declaration": {
         "ip": "192.0.2.1",
         "date": "2023-05-03T11:27:54.736Z"
       }
     }'
```

A successful response returns the values received in the request.

## Get the onboarding data \[#get]

To get the data that an entity provided during onboarding, call [`GET /v1/entities/{entity_id}/onboarding_data`](/api/entity-onboarding-data/get-entities-id-onboarding-data):

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/entities/aea39...912/onboarding_data' \
     -H 'X-Monite-Version: 2024-05-25' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
```

A successful response contains the onboarding data of the specified entity:

```json
{
  "business_profile": {
    "mcc": "1731",
    "url": "https://mycompany.com"
  },
  "tos_acceptance": {
    "ip": "192.0.2.1",
    "date": "2023-03-21T12:30:45.933Z"
  },
  "ownership_declaration": {
    "ip": "192.0.2.1",
    "date": "2023-05-03T11:27:54.736Z"
  }
}
```